: Class Appearance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class Appearance

    java.lang.Object
      |
      +--javax.media.j3d.SceneGraphObject
            |
            +--javax.media.j3d.NodeComponent
                  |
                  +--javax.media.j3d.Appearance

public class Appearance
extends NodeComponent

The Appearance object defines all rendering state that can be set as a component object of a Shape3D node.

Field Summary
`static int` | `ALLOW_COLORING_ATTRIBUTES_READ` Specifies that this Appearance object allows reading its coloringAttributes component information.
`static int` | `ALLOW_COLORING_ATTRIBUTES_WRITE` Specifies that this Appearance object allows writing its coloringAttribues component informationt.
`static int` | `ALLOW_LINE_ATTRIBUTES_READ` Specifies that this Appearance object allows reading its line component information.
`static int` | `ALLOW_LINE_ATTRIBUTES_WRITE` Specifies that this Appearance object allows writing its line component information.
`static int` | `ALLOW_MATERIAL_READ` Specifies that this Appearance object allows reading its material component information.
`static int` | `ALLOW_MATERIAL_WRITE` Specifies that this Appearance object allows writing its material component information.
`static int` | `ALLOW_POINT_ATTRIBUTES_READ` Specifies that this Appearance object allows reading its point component information.
`static int` | `ALLOW_POINT_ATTRIBUTES_WRITE` Specifies that this Appearance object allows writing its point component information.
`static int` | `ALLOW_POLYGON_ATTRIBUTES_READ` Specifies that this Appearance object allows reading its polygon component information.
`static int` | `ALLOW_POLYGON_ATTRIBUTES_WRITE` Specifies that this Appearance object allows writing its polygon component information.
`static int` | `ALLOW_RENDERING_ATTRIBUTES_READ` Specifies that this Appearance object allows reading its rendering/rasterization component information.
`static int` | `ALLOW_RENDERING_ATTRIBUTES_WRITE` Specifies that this Appearance object allows writing its rendering/rasterization component information.
`static int` | `ALLOW_TEXGEN_READ` Specifies that this Appearance object allows reading its texture coordinate generation component information.
`static int` | `ALLOW_TEXGEN_WRITE` Specifies that this Appearance object allows writing its texture coordinate generation component information.
`static int` | `ALLOW_TEXTURE_ATTRIBUTES_READ` Specifies that this Appearance object allows reading its textureAttributes component information.
`static int` | `ALLOW_TEXTURE_ATTRIBUTES_WRITE` Specifies that this Appearance object allows writing its textureAttribues component informationt.
`static int` | `ALLOW_TEXTURE_READ` Specifies that this Appearance object allows reading its texture component information.
`static int` | `ALLOW_TEXTURE_WRITE` Specifies that this Appearance object allows writing its texture component information.
`static int` | `ALLOW_TRANSPARENCY_ATTRIBUTES_READ` Specifies that this Appearance object allows reading its transparency component information.
`static int` | `ALLOW_TRANSPARENCY_ATTRIBUTES_WRITE` Specifies that this Appearance object allows writing its transparency component information.

Constructor Summary
`Appearance()` Constructs an Appearance component object using defaults for all state variables.

Method Summary
`NodeComponent` | `cloneNodeComponent()` Creates a new Appearance object.
`void` | `duplicateNodeComponent(NodeComponent originalNodeComponent)` Copies the information found in `originalNodeComponent` to the current node.
`ColoringAttributes` | `getColoringAttributes()` Retrieves the current coloringAttributes object.
`LineAttributes` | `getLineAttributes()` Retrieves the current lineAttributes object.
`Material` | `getMaterial()` Retrieve the current material object.
`PointAttributes` | `getPointAttributes()` Retrieves the current pointAttributes object.
`PolygonAttributes` | `getPolygonAttributes()` Retrieves the current polygonAttributes object.
`RenderingAttributes` | `getRenderingAttributes()` Retrieves the current renderingAttributes object.
`TexCoordGeneration` | `getTexCoordGeneration()` Retrieves the current texCoordGeneration object.
`Texture` | `getTexture()` Retrieves the current texture object.
`TextureAttributes` | `getTextureAttributes()` Retrieves the current textureAttributes object.
`TransparencyAttributes` | `getTransparencyAttributes()` Retrieves the current transparencyAttributes object.
`void` | `setColoringAttributes(ColoringAttributes coloringAttributes)` Sets the coloringAttributes object to the specified object.
`void` | `setLineAttributes(LineAttributes lineAttributes)` Sets the lineAttributes object to the specified object.
`void` | `setMaterial(Material material)` Set the material object to the specified object.
`void` | `setPointAttributes(PointAttributes pointAttributes)` Sets the pointAttributes object to the specified object.
`void` | `setPolygonAttributes(PolygonAttributes polygonAttributes)` Sets the polygonAttributes object to the specified object.
`void` | `setRenderingAttributes(RenderingAttributes renderingAttributes)` Sets the renderingAttributes object to the specified object.
`void` | `setTexCoordGeneration(TexCoordGeneration texCoordGeneration)` Sets the texCoordGeneration object to the specified object.
`void` | `setTexture(Texture texture)` Sets the texture object to the specified object.
`void` | `setTextureAttributes(TextureAttributes textureAttributes)` Sets the textureAttributes object to the specified object.
`void` | `setTransparencyAttributes(TransparencyAttributes transparencyAttributes)` Sets the transparencyAttributes object to the specified object.

Methods inherited from class javax.media.j3d.NodeComponent
`getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, duplicateSceneGraphObject, getCapability, getUserData, isCompiled, isLive, setCapability, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_MATERIAL_READ

    public static final int ALLOW_MATERIAL_READ

  Specifies that this Appearance object allows reading its material component information.

### ALLOW_MATERIAL_WRITE

    public static final int ALLOW_MATERIAL_WRITE

  Specifies that this Appearance object allows writing its material component information.

### ALLOW_TEXTURE_READ

    public static final int ALLOW_TEXTURE_READ

  Specifies that this Appearance object allows reading its texture component information.

### ALLOW_TEXTURE_WRITE

    public static final int ALLOW_TEXTURE_WRITE

  Specifies that this Appearance object allows writing its texture component information.

### ALLOW_TEXGEN_READ

    public static final int ALLOW_TEXGEN_READ

  Specifies that this Appearance object allows reading its texture coordinate generation component information.

### ALLOW_TEXGEN_WRITE

    public static final int ALLOW_TEXGEN_WRITE

  Specifies that this Appearance object allows writing its texture coordinate generation component information.

### ALLOW_TEXTURE_ATTRIBUTES_READ

    public static final int ALLOW_TEXTURE_ATTRIBUTES_READ

  Specifies that this Appearance object allows reading its textureAttributes component information.

### ALLOW_TEXTURE_ATTRIBUTES_WRITE

    public static final int ALLOW_TEXTURE_ATTRIBUTES_WRITE

  Specifies that this Appearance object allows writing its textureAttribues component informationt.

### ALLOW_COLORING_ATTRIBUTES_READ

    public static final int ALLOW_COLORING_ATTRIBUTES_READ

  Specifies that this Appearance object allows reading its coloringAttributes component information.

### ALLOW_COLORING_ATTRIBUTES_WRITE

    public static final int ALLOW_COLORING_ATTRIBUTES_WRITE

  Specifies that this Appearance object allows writing its coloringAttribues component informationt.

### ALLOW_TRANSPARENCY_ATTRIBUTES_READ

    public static final int ALLOW_TRANSPARENCY_ATTRIBUTES_READ

  Specifies that this Appearance object allows reading its transparency component information.

### ALLOW_TRANSPARENCY_ATTRIBUTES_WRITE

    public static final int ALLOW_TRANSPARENCY_ATTRIBUTES_WRITE

  Specifies that this Appearance object allows writing its transparency component information.

### ALLOW_RENDERING_ATTRIBUTES_READ

    public static final int ALLOW_RENDERING_ATTRIBUTES_READ

  Specifies that this Appearance object allows reading its rendering/rasterization component information.

### ALLOW_RENDERING_ATTRIBUTES_WRITE

    public static final int ALLOW_RENDERING_ATTRIBUTES_WRITE

  Specifies that this Appearance object allows writing its rendering/rasterization component information.

### ALLOW_POLYGON_ATTRIBUTES_READ

    public static final int ALLOW_POLYGON_ATTRIBUTES_READ

  Specifies that this Appearance object allows reading its polygon component information.

### ALLOW_POLYGON_ATTRIBUTES_WRITE

    public static final int ALLOW_POLYGON_ATTRIBUTES_WRITE

  Specifies that this Appearance object allows writing its polygon component information.

### ALLOW_LINE_ATTRIBUTES_READ

    public static final int ALLOW_LINE_ATTRIBUTES_READ

  Specifies that this Appearance object allows reading its line component information.

### ALLOW_LINE_ATTRIBUTES_WRITE

    public static final int ALLOW_LINE_ATTRIBUTES_WRITE

  Specifies that this Appearance object allows writing its line component information.

### ALLOW_POINT_ATTRIBUTES_READ

    public static final int ALLOW_POINT_ATTRIBUTES_READ

  Specifies that this Appearance object allows reading its point component information.

### ALLOW_POINT_ATTRIBUTES_WRITE

    public static final int ALLOW_POINT_ATTRIBUTES_WRITE

  Specifies that this Appearance object allows writing its point component information.

Constructor Detail

### Appearance

    public Appearance()

  Constructs an Appearance component object using defaults for all state variables. All component object references are initialized to null.

Method Detail

### setMaterial

    public final void setMaterial(Material material)

  Set the material object to the specified object. Setting it to null disables lighting.
  Parameters:
    `material` - object that specifies the desired material properties
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getMaterial

    public final Material getMaterial()

  Retrieve the current material object.
  Returns:
    the material object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setTexture

    public final void setTexture(Texture texture)

  Sets the texture object to the specified object. Setting it to null disables texture mapping.
  Parameters:
    `texture` - object that specifies the desired texture map and texture parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getTexture

    public final Texture getTexture()

  Retrieves the current texture object.
  Returns:
    the texture object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setTextureAttributes

    public final void setTextureAttributes(TextureAttributes textureAttributes)

  Sets the textureAttributes object to the specified object. Setting it to null will result in default attribute usage.
  Parameters:
    `textureAttributes` - object that specifies the desired textureAttributes map and textureAttributes parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getTextureAttributes

    public final TextureAttributes getTextureAttributes()

  Retrieves the current textureAttributes object.
  Returns:
    the textureAttributes object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setColoringAttributes

    public final void setColoringAttributes(ColoringAttributes coloringAttributes)

  Sets the coloringAttributes object to the specified object. Setting it to null will result in default attribute usage.
  Parameters:
    `coloringAttributes` - object that specifies the desired coloringAttributes parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getColoringAttributes

    public final ColoringAttributes getColoringAttributes()

  Retrieves the current coloringAttributes object.
  Returns:
    the coloringAttributes object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setTransparencyAttributes

    public final void setTransparencyAttributes(TransparencyAttributes transparencyAttributes)

  Sets the transparencyAttributes object to the specified object. Setting it to null will result in default attribute usage.
  Parameters:
    `transparencyAttributes` - object that specifies the desired transparencyAttributes parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getTransparencyAttributes

    public final TransparencyAttributes getTransparencyAttributes()

  Retrieves the current transparencyAttributes object.
  Returns:
    the transparencyAttributes object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setRenderingAttributes

    public final void setRenderingAttributes(RenderingAttributes renderingAttributes)

  Sets the renderingAttributes object to the specified object. Setting it to null will result in default attribute usage.
  Parameters:
    `renderingAttributes` - object that specifies the desired renderingAttributes parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getRenderingAttributes

    public final RenderingAttributes getRenderingAttributes()

  Retrieves the current renderingAttributes object.
  Returns:
    the renderingAttributes object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setPolygonAttributes

    public final void setPolygonAttributes(PolygonAttributes polygonAttributes)

  Sets the polygonAttributes object to the specified object. Setting it to null will result in default attribute usage.
  Parameters:
    `polygonAttributes` - object that specifies the desired polygonAttributes parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getPolygonAttributes

    public final PolygonAttributes getPolygonAttributes()

  Retrieves the current polygonAttributes object.
  Returns:
    the polygonAttributes object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setLineAttributes

    public final void setLineAttributes(LineAttributes lineAttributes)

  Sets the lineAttributes object to the specified object. Setting it to null will result in default attribute usage.
  Parameters:
    `lineAttributes` - object that specifies the desired lineAttributes parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getLineAttributes

    public final LineAttributes getLineAttributes()

  Retrieves the current lineAttributes object.
  Returns:
    the lineAttributes object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setPointAttributes

    public final void setPointAttributes(PointAttributes pointAttributes)

  Sets the pointAttributes object to the specified object. Setting it to null will result in default attribute usage.
  Parameters:
    `pointAttributes` - object that specifies the desired pointAttributes parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getPointAttributes

    public final PointAttributes getPointAttributes()

  Retrieves the current pointAttributes object.
  Returns:
    the pointAttributes object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### setTexCoordGeneration

    public final void setTexCoordGeneration(TexCoordGeneration texCoordGeneration)

  Sets the texCoordGeneration object to the specified object. Setting it to null disables texture coordinate generation.
  Parameters:
    `texCoordGeneration` - object that specifies the texture coordinate generation parameters
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### getTexCoordGeneration

    public final TexCoordGeneration getTexCoordGeneration()

  Retrieves the current texCoordGeneration object.
  Returns:
    the texCoordGeneration object
  Throws:
    CapabilityNotSetException - if appropriate capability is not set and this object is part of live or compiled scene graph

### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

  Creates a new Appearance object. Called from a Leaf node's `duplicateNode` method.
  Overrides:
    cloneNodeComponent in class NodeComponent
  Returns:
    a duplicate of the Appearance object.
  See Also:
    `Node.duplicateNode(javax.media.j3d.Node, boolean)`, `Node.cloneTree()`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

### duplicateNodeComponent

    public void duplicateNodeComponent(NodeComponent originalNodeComponent)

  Copies the information found in `originalNodeComponent` to the current node. This routine is called as part of the `cloneNodeComponent` operation.
  Overrides:
    duplicateNodeComponent in class NodeComponent
  Parameters:
    `originalNodeComponent` - the node to duplicate.
  See Also:
    `Node.cloneTree()`, `Node.cloneNode(boolean)`, `NodeComponent.duplicateNodeComponent(javax.media.j3d.NodeComponent)`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD